Search Unity

  1. Unity 2019.2 is now released.
    Dismiss Notice

Facebook SDK build failed

Discussion in 'Unity Cloud Build' started by tuannv-imosys, Nov 8, 2019.

  1. tuannv-imosys

    tuannv-imosys

    Joined:
    Feb 19, 2019
    Posts:
    2
    Hi there,

    I added the latest FacebookSDK for Unity for my project. It was built success yesterday, today I have no changes on that project but UCB got failed. It happened on my two difference projects with separate Unity Editor version.

    You can see that error in my attachment!
    Does anyone get this issue?
     

    Attached Files:

  2. dirty-rectangle

    dirty-rectangle

    Joined:
    Apr 23, 2015
    Posts:
    11
    I'm seeing the same issue, comparing before and after build logs, it is downloading an updated version of FBSDK

    7th Nov
    [Unity] Setup completed
    [Unity] Downloading dependencies
    [Unity] Installing Bolts (1.9.0)
    [Unity] Installing FBSDKCoreKit (5.8.0)
    [Unity] Installing FBSDKLoginKit (5.8.0)
    [Unity] Installing FBSDKShareKit (5.8.0)


    8th Nov
    [Unity] Setup completed
    [Unity] Downloading dependencies
    [Unity] Installing Bolts (1.9.0)
    [Unity] Installing FBSDKCoreKit (5.10.0)
    [Unity] Installing FBSDKLoginKit (5.10.0)
    [Unity] Installing FBSDKShareKit (5.9.0)

    I'm trying out a workaround fix reported here
    https://github.com/facebook/react-native-fbsdk/issues/667#issuecomment-551847353
    on Assets/FacebookSDK/Plugins/Editor/Dependencies.xml
     
    Last edited: Nov 8, 2019
    facundo_unity961 likes this.
  3. Flarup

    Flarup

    Joined:
    Jan 7, 2010
    Posts:
    116
    Same issue here. Worked earlier this week, but failed today with the same error messages you're having related to Facebook SDK.
     
  4. mike6502

    mike6502

    Joined:
    Oct 5, 2016
    Posts:
    1
    I'm also seeing this issue, with Firebase as well as Facebook SDK. My guess is that perhaps UCB is not refreshing or downloading cocoapods right now?

    update: this was the Facebook SDK in my case too, and the dirty-rectangle fix worked for me.
     
    Last edited: Nov 9, 2019
  5. facundo_unity961

    facundo_unity961

    Joined:
    Mar 14, 2018
    Posts:
    7
    We had the same issue, dirty-rectangle's solution worked!
    Go to Assets/FacebookSDK/Plugins/Editor/Dependencies.xml and set every FBSDK to "=5.8"

    <iosPod name="FBSDKCoreKit" version="= 5.8" />
    <iosPod name="FBSDKLoginKit" version="= 5.8" />
    <iosPod name="FBSDKShareKit" version="= 5.8" />
     
    YamilZiango and tonemcbride like this.
  6. imosys_app

    imosys_app

    Joined:
    Feb 27, 2018
    Posts:
    1
    It works,
    Thank you.